Skip site navigation (1) Skip section navigation (2)

Re: 8.0.0beta3 plpython link troubles

From: Michael Fuhr <mike(at)fuhr(dot)org>
To: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
Cc: Magnus Hagander <mha(at)sollentuna(dot)net>,Bruce Momjian <pgman(at)candle(dot)pha(dot)pa(dot)us>, pgsql-bugs(at)postgresql(dot)org
Subject: Re: 8.0.0beta3 plpython link troubles
Date: 2004-10-11 02:09:56
Message-ID: 20041011020956.GA95123@winnie.fuhr.org (view raw or flat)
Thread:
Lists: pgsql-bugs
On Sun, Oct 10, 2004 at 12:35:11PM -0400, Tom Lane wrote:
> "Magnus Hagander" <mha(at)sollentuna(dot)net> writes:
> > Clearly, pyhon_libspec needs the -lpython$python_version back. Just not
> > on win32 (because we don't have libpython2.3 there, we only ahve
> > python23.dll). but perhaps that could/should be filtered out in the
> > Makefile and not in python.m4.
> 
> > I don't have a good working autoconf, so it'd be nice if someone who
> > does could check out a working fix.
> 
> Send me a sketch of a diff and I'll be glad to test.

I see that some changes have been made.  plpython now builds correctly
on my platform:

Solaris 9
gcc 3.4.2
gmake 3.80
Python 2.3.4

Thanks.

-- 
Michael Fuhr
http://www.fuhr.org/~mfuhr/

In response to

pgsql-bugs by date

Next:From: Justin CliftDate: 2004-10-11 02:10:09
Subject: Re: Buggy timestamp generation code in PG 7.4.5 on FreeBSD
Previous:From: Michael FuhrDate: 2004-10-10 22:52:57
Subject: Re: 8.0.0beta3: dblink can't find libpq

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group